Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.ajax
Class AjaxRequestSelector

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.selection.AbstractSwitchSelector
              org.apache.cocoon.ajax.AjaxRequestSelector

All Implemented Interfaces:
  org.apache.cocoon.selection.Selector, org.apache.cocoon.selection.SwitchSelector, ThreadSafe

public class AjaxRequestSelector
extends org.apache.cocoon.selection.AbstractSwitchSelector

Chooses a select branch depending on if the current request is an Ajax request. The test value can be either "`true`" or "`false`".

       <map:select type="ajax-request">
         <map:when test="true">
           ... ajax request ...
         </map:when>
         <map:otherwise>
           ... non ajax request ...
         </map:otherwise>
       </map:select>

Since:
  2.1.8
Version:
  $Id: AjaxRequestSelector.java 607381 2007-12-29 05:42:58Z vgritsenko $

Field Summary

Fields inherited from interface org.apache.cocoon.selection.SwitchSelector
`ROLE`

Constructor Summary
`AjaxRequestSelector()`

Method Summary
`Object` | `getSelectorContext(Map objectModel, Parameters parameters)`
`boolean` | `select(String expression, Object selectorContext)`

Methods inherited from class org.apache.cocoon.selection.AbstractSwitchSelector
`select`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxRequestSelector

    public AjaxRequestSelector()

Method Detail

### getSelectorContext

    public Object getSelectorContext(Map objectModel,
                                     Parameters parameters)

### select

    public boolean select(String expression,
                          Object selectorContext)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.